# stpui_image Struct Reference

`#include <gutenprintui.h>`

## Data Fields

stp_image_t | im
void(* | transpose )(struct stpui_image *image)
void(* | hflip )(struct stpui_image *image)
void(* | vflip )(struct stpui_image *image)
void(* | rotate_ccw )(struct stpui_image *image)
void(* | rotate_cw )(struct stpui_image *image)
void(* | rotate_180 )(struct stpui_image *image)
void(* | crop )(struct stpui_image *image, int left, int top, int right, int bottom)

## Field Documentation

stp_image_t stpui_image::im

void(* stpui_image::transpose)(struct stpui_image *image)

void(* stpui_image::hflip)(struct stpui_image *image)

void(* stpui_image::vflip)(struct stpui_image *image)

void(* stpui_image::rotate_ccw)(struct stpui_image *image)

void(* stpui_image::rotate_cw)(struct stpui_image *image)

void(* stpui_image::rotate_180)(struct stpui_image *image)

void(* stpui_image::crop)(struct stpui_image *image, int left, int top, int right, int bottom)

The documentation for this struct was generated from the following file:

- include/gutenprintui2/gutenprintui.h